[RISOLTO] errore update appstream

Sezione dedicata alle problematiche sull'uso dei tool di installazione e gestione di pacchetti, in una distribuzione Debian-based.

[RISOLTO] errore update appstream

Messaggioda caturen » 19/08/2018, 12:19

uso debian sid e da due giorni quando do apt update alla fine ottengo questo
Codice: Seleziona tutto
(appstreamcli:3412): GLib-CRITICAL **: 13:11:42.531: g_variant_builder_end: assertion '!GVSB(builder)->uniform_item_types || GVSB(builder)->prev_item_type != NULL || g_variant_type_is_definite (GVSB(builder)->type)' failed

(appstreamcli:3412): GLib-CRITICAL **: 13:11:42.531: g_variant_new_variant: assertion 'value != NULL' failed

(appstreamcli:3412): GLib-ERROR **: 13:11:42.531: g_variant_new_parsed: 11-13:invalid GVariant format string
Trace/breakpoint trap
Lettura elenco dei pacchetti... Fatto
E: Problem executing scripts APT::Update::Post-Invoke-Success 'if /usr/bin/test -w /var/cache/app-info -a -e /usr/bin/appstreamcli; then appstreamcli refresh-cache > /dev/null; fi'
E: Sub-process returned an error code
ho visto che è vecchio bug di appstream che saltuariamente riappare, ma non posso eliminarlo altrimenti mi disinstalla mezzo kde. C'è un modo per togliere quel warnig? Nonostante quell'avviso poi l'upgrade funziona perfettamente.
Ultima modifica di caturen il 20/08/2018, 20:56, modificato 3 volte in totale.
caturen
Sr. Member
Sr. Member
 
Messaggi: 279
Iscritto il: 02/04/2013, 20:00

Re: errore update

Messaggioda s3v » 19/08/2018, 16:22

https://bugs.debian.org/cgi-bin/bugrepo ... bug=906538

Non sembra niente di grave, solo un messaggio di appsteeam che non digerisce il cambiamento.

P.S
Gentilmente modifica il titolo del primo messaggio per renderlo significativo.
Avatar utente
s3v
Global Moderator
Global Moderator
 
Messaggi: 5586
Iscritto il: 31/12/2008, 11:54

Re: [risolto] errore update appstream

Messaggioda caturen » 20/08/2018, 20:57

oggi c'è stato l'aggiornamento di appstream e la cosa si è risolta da sola.
caturen
Sr. Member
Sr. Member
 
Messaggi: 279
Iscritto il: 02/04/2013, 20:00


Torna a Apt-get and friends

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite

cron